dvd::rip no Linux Mint 20 na gambiarra

Publicado por Mauricio Ferrari em 16/07/2020

[ Hits: 563 ]

Blog: https://github.com/MauricioFerrari-NovaTrento

 


dvd::rip no Linux Mint 20 na gambiarra



O dvd::rip é um programa completo de cópia de DVD escrito em Perl. Ele fornece uma GUI Gtk + fácil de usar e é rica em recursos para controlar quase todos os aspectos do processo de extração e transcodificação. Ele usa uma ferramenta de processamento de vídeo conhecido transcode e muitas outras ferramentas de código aberto.

Mas você não vai conseguir instalar essa ferramenta no Linux Mint 20 a menos que parta para a "enjambração". Foi o que eu fiz. baixei o pacote do Debian 9 e vi que era muito difícil resolver as dependências. Foi então que resolvi fazer assim, só olha:

echo "$ deb http://www.deb-multimedia.org stretch main" | tee -a /etc/apt/sources.list.d/debian.list
$ echo "deb http://deb.debian.org/debian/ stretch main contrib non-free" | tee -a /etc/apt/sources.list.d/debian.list
$ sudo apt-key adv --keyserver keyserver.ubuntu.com --recv-keys 04EE7237B7D453EC
$ wget http://www.deb-multimedia.org/pool/main/d/deb-multimedia-keyring/deb-multimedia-keyring_2016.8.1_all.deb
$ sudo dpkg -i deb-multimedia-keyring_2016.8.1_all.deb && apt update && apt install dvdrip
$ sudo mv /etc/apt/sources.list.d/debian.list /etc/apt/sources.list.d/debian.list.bak && apt update


O que eu fiz foi basicamente o seguinte, importei o repositório do Debian 9 e fiz a instalação normal do dvdrip via apt. Depois desabilitei o repositório do Debian. Não quebrou o sistema e todas as dependências foram resolvidas. Aproveitando, pode-se instalar demais pacotes não presentes no Linux Mint como o leafpad por exemplo.

É bem gambiarrizado, eu sei, mas funciona e instala.
Linux: dvd::rip no Linux Mint 20 - Gambiarra Pura
Outras dicas deste autor

BleachBit 4.0.0 no Slackware Current

Reprodutor Nulloy no Slackware 15.0 Current

Instalando o PhotoQT no Deepin 20

OpenArena que funciona no Linux Mint 20

ExFAT no Slackware

Leitura recomendada

Pendrive ou cartão de memória para multimídia não compatível [Resolvido]

Instalação correta do repositório packman (openSUSE)

Instalando o QMPlay2 no Debian e Derivados

OBS - Captura de Tela Tremulante (OBS Flickering) [Resolvido]

UMPlayer reformulado para o Linux Mint 20

  

Comentários

Nenhum comentário foi encontrado.



Contribuir com comentário




Patrocínio

Site hospedado pelo provedor RedeHost.
Linux banner
Linux banner
Linux banner

Destaques

Artigos

Dicas

Tópicos

Top 10 do mês

Scripts